---
title: 'HTMLInputElement: search event'
slug: Web/API/HTMLInputElement/search_event
tags:
  - API
  - Event
  - HTMLInputElement
  - Non-standard
  - Reference
  - Search
  - Web
---
<p>{{APIRef}}{{non-standard_header}}</p>

<p>The <strong><code>search</code></strong> event is fired when a search is initiated usinng an {{HTMLElement("input")}} element of <code>type="search"</code>.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("Event")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td><code><a href="/en-US/docs/Web/API/GlobalEventHandlers/onsearch">onsearch</a></code></td>
  </tr>
 </tbody>
</table>

<p>There are several ways a search can be initiated, such as by pressing <kbd>Enter</kbd> while the {{HTMLElement("input")}} is focused, or, if the <a href="/en-US/docs/Web/HTML/Element/Input#attr-incremental"><code>incremental</code></a> attribute is present, after a UA-defined timeout elapses since the most recent keystroke (with new keystrokes resetting the timeout so the firing of the event is debounced).</p>

<p>Current UA implementations of <code>&lt;input type="search"&gt;</code> have an additional control to clear the field. Using this control also fires the <code>search</code> event. In that case the <code>value</code> of the {{HTMLElement("input")}} element will be the empty string.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">// addEventListener version
const input = document.querySelector('input[type="search"]');

input.addEventListener('search', () =&gt; {
 console.log<span class="exam_def">(</span><span class="exam_jsstring">"The term searched for was "</span><span class="exam_def"> + input.</span><span class="exam_jsprop">value</span><span class="exam_def">);</span>
})

// onsearch version
const input = document.querySelector('input[type="search"]');

input.onsearch = () =&gt; {
 console.log<span class="exam_def">(</span><span class="exam_jsstring">"The term searched for was "</span><span class="exam_def"> + input.</span><span class="exam_jsprop">value</span><span class="exam_def">);</span>
})</pre>

<h2 id="Specifications">Specifications</h2>

<p>This event is not part of any specification.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLInputElement.search_event")}}</p>
